# GimpUi.ColorNotebook.prototype.set_has_page

    function set_has_page(page_type: GObject.Type, has_page: Boolean): Gtk.Widget {
        // Gjs wrapper for gimp_color_notebook_set_has_page()
    }

This function adds and removed pages to / from a GimpUi.ColorNotebook. The page_type passed must be a GimpUi.ColorSelector subtype.

page_type

  The GLib.Type of the notebook page to add or remove.

has_page

  Whether the page should be added or removed.

Returns

  The new page widget, if has_page was true, or null if has_page was false.